%global srcname paramiko

Name:          python3-%{srcname}
Version:       1.16.0
Release:       1%{?dist}
Summary:       SSH2 protocol library for Python 3

Group:         Development/Libraries
# No version specified.
License:       LGPLv2+
URL:           https://github.com/paramiko/paramiko/
Source0:       http://pypi.python.org/packages/source/p/paramiko/paramiko-%{version}.tar.gz

BuildArch:     noarch

%global paramiko_desc \
Paramiko (a combination of the esperanto words for "paranoid" and "friend") is\
a module for python 2.3 or greater that implements the SSH2 protocol for secure\
(encrypted and authenticated) connections to remote machines. Unlike SSL (aka\
TLS), the SSH2 protocol does not require heirarchical certificates signed by a\
powerful central authority. You may know SSH2 as the protocol that replaced\
telnet and rsh for secure access to remote shells, but the protocol also\
includes the ability to open arbitrary channels to remote services across an\
encrypted tunnel. (This is how sftp works, for example.)\

%description
%{paramiko_desc}

%package -n python%{python3_pkgversion}-%{srcname}
Summary:       SSH2 protocol library for Python %{python3_version}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-crypto
BuildRequires: python%{python3_pkgversion}-ecdsa
BuildRequires: python%{python3_pkgversion}-devel
Requires:      python%{python3_pkgversion}-crypto
Requires:      python%{python3_pkgversion}-ecdsa

%description -n python%{python3_pkgversion}-%{srcname}
%{paramiko_desc}

Python %{python3_version} version.

%package doc
Summary:       Docs and demo for SSH2 protocol library for python
Requires:      %{name} = %{version}-%{release}

%description doc
%{paramiko_desc}

This is the documentation and demos.

%prep
%autosetup -n %{srcname}-%{version}

chmod a-x demos/*
sed -i -e '/^#!/,1d' demos/*

%build
%py3_build

%install
%py3_install

%check
%{__python3} ./test.py --no-sftp --no-big-file

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc PKG-INFO README
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%files doc
%doc docs/ demos/

%changelog
* Tue Apr 5 2016 Orion Poplawski <orion@cora.nwra.com> - 1.16.0-1
- Initial EPEL package
